Upsert Feature Flag Target

POST
/api/v1/feature-flag-targets

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

featureFlagId*string
identityType*number

Value in

  • 1
  • 2
  • 3
  • 4
identityValue*string
listType*number

Value in

  • 1
  • 2

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/feature-flag-targets" \  -H "Content-Type: application/json" \  -d '{    "featureFlagId": "string",    "identityType": 1,    "identityValue": "string",    "listType": 1  }'
{  "archivedAt": "string",  "createdAt": "string",  "featureFlagId": "string",  "id": "string",  "identityType": 0,  "identityValue": "string",  "listType": 0,  "updatedAt": "string"}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/FeatureFlagNotFoundError",  "featureFlagId": "string"}
{  "_tag": "Api/FeatureFlagServiceError",  "cause": "string"}